cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

229
Views
5
Helpful
4
Replies
Highlighted
Beginner

Issues upgrading IOS-XR - 5.3.3 to 6.6.2

Hi,

 

first of all, is it possible to upgrade directly form 5.3.3 to 6.6.2? I know its a large jump and may cause some issues.

I have verified what PIE's are active at present and then uploaded the 6.6.2 PIE's to the harddisk.
When I attempt to install add PIE, the add seems to work.  But when I complete a ''install activate PIE test'', I get failures (many different ones depending on which PIE is inolved.  Some examples are below:

CURRENT ACTIVE PIE:

Wed Jul 31 20:33:50.729 CEST
Secure Domain Router: Owner

Node 0/RSP0/CPU0 [RP] [SDR: Owner]
Boot Device: disk0:
Boot Image: /disk0/asr9k-os-mbi-5.3.3/0x100305/mbiasr9k-rsp3.vm
Active Packages:
disk0:asr9k-services-infra-5.3.3
disk0:asr9k-mini-px-5.3.3
disk0:asr9k-optic-px-5.3.3
disk0:asr9k-video-px-5.3.3
disk0:asr9k-asr901-nV-px-5.3.3
disk0:asr9k-9000v-nV-px-5.3.3
disk0:asr9k-bng-px-5.3.3
disk0:asr9k-doc-px-5.3.3
disk0:asr9k-fpd-px-5.3.3
disk0:asr9k-k9sec-px-5.3.3
disk0:asr9k-mpls-px-5.3.3
disk0:asr9k-mgbl-px-5.3.3
disk0:asr9k-mcast-px-5.3.3

Node 0/RSP1/CPU0 [RP] [SDR: Owner]
Boot Device: disk0:
Boot Image: /disk0/asr9k-os-mbi-5.3.3/0x100305/mbiasr9k-rsp3.vm
Active Packages:
disk0:asr9k-services-infra-5.3.3
disk0:asr9k-mini-px-5.3.3
disk0:asr9k-optic-px-5.3.3
disk0:asr9k-video-px-5.3.3
disk0:asr9k-asr901-nV-px-5.3.3
disk0:asr9k-9000v-nV-px-5.3.3
disk0:asr9k-bng-px-5.3.3
disk0:asr9k-doc-px-5.3.3
disk0:asr9k-fpd-px-5.3.3
disk0:asr9k-k9sec-px-5.3.3
disk0:asr9k-mpls-px-5.3.3
disk0:asr9k-mgbl-px-5.3.3
disk0:asr9k-mcast-px-5.3.3

Node 0/0/CPU0 [LC] [SDR: Owner]
Boot Device: mem:
Boot Image: /disk0/asr9k-os-mbi-5.3.3/lc/mbiasr9k-lc.vm
Active Packages:
disk0:asr9k-services-infra-5.3.3
disk0:asr9k-mini-px-5.3.3
disk0:asr9k-optic-px-5.3.3
disk0:asr9k-video-px-5.3.3
disk0:asr9k-bng-px-5.3.3
disk0:asr9k-k9sec-px-5.3.3
disk0:asr9k-mpls-px-5.3.3
disk0:asr9k-mcast-px-5.3.3

Node 0/1/CPU0 [LC] [SDR: Owner]
Boot Device: mem:
Boot Image: /disk0/asr9k-os-mbi-5.3.3/lc/mbiasr9k-lc.vm
Active Packages:
disk0:asr9k-services-infra-5.3.3
disk0:asr9k-mini-px-5.3.3
disk0:asr9k-optic-px-5.3.3
disk0:asr9k-video-px-5.3.3
disk0:asr9k-bng-px-5.3.3
disk0:asr9k-k9sec-px-5.3.3
disk0:asr9k-mpls-px-5.3.3
disk0:asr9k-mcast-px-5.3.3

Node 0/2/CPU0 [LC] [SDR: Owner]
Boot Device: mem:
Boot Image: /disk0/asr9k-os-mbi-5.3.3/lc/mbiasr9k-lc.vm
Active Packages:
disk0:asr9k-services-infra-5.3.3
disk0:asr9k-mini-px-5.3.3
disk0:asr9k-optic-px-5.3.3
disk0:asr9k-video-px-5.3.3
disk0:asr9k-bng-px-5.3.3
disk0:asr9k-k9sec-px-5.3.3
disk0:asr9k-mpls-px-5.3.3
disk0:asr9k-mcast-px-5.3.3

 

INACTIVE PACKAGES:

Node 0/RSP0/CPU0 [RP] [SDR: Owner]
Boot Device: disk0:
Inactive Packages:
disk0:asr9k-services-infra-6.6.2
disk0:asr9k-mini-px-6.6.2
disk0:asr9k-optic-px-6.6.2
disk0:asr9k-services-px-6.6.2
disk0:asr9k-video-px-6.6.2
disk0:asr9k-9000v-nV-px-6.6.2
disk0:asr9k-bng-px-6.6.2
disk0:asr9k-doc-px-6.6.2
disk0:asr9k-fpd-px-6.6.2
disk0:asr9k-k9sec-px-6.6.2
disk0:asr9k-mcast-px-6.6.2
disk0:asr9k-mgbl-px-6.6.2
disk0:asr9k-mpls-px-6.6.2

Node 0/RSP1/CPU0 [RP] [SDR: Owner]
Boot Device: disk0:
Inactive Packages:
disk0:asr9k-services-infra-6.6.2
disk0:asr9k-mini-px-6.6.2
disk0:asr9k-optic-px-6.6.2
disk0:asr9k-services-px-6.6.2
disk0:asr9k-video-px-6.6.2
disk0:asr9k-9000v-nV-px-6.6.2
disk0:asr9k-bng-px-6.6.2
disk0:asr9k-doc-px-6.6.2
disk0:asr9k-fpd-px-6.6.2
disk0:asr9k-k9sec-px-6.6.2
disk0:asr9k-mcast-px-6.6.2
disk0:asr9k-mgbl-px-6.6.2
disk0:asr9k-mpls-px-6.6.2

Node 0/0/CPU0 [LC] [SDR: Owner]
Boot Device: mem:
Inactive Packages:
disk0:asr9k-services-infra-6.6.2
disk0:asr9k-mini-px-6.6.2
disk0:asr9k-optic-px-6.6.2
disk0:asr9k-services-px-6.6.2
disk0:asr9k-video-px-6.6.2
disk0:asr9k-bng-px-6.6.2
disk0:asr9k-k9sec-px-6.6.2
disk0:asr9k-mcast-px-6.6.2
disk0:asr9k-mpls-px-6.6.2

Node 0/1/CPU0 [LC] [SDR: Owner]
Boot Device: mem:
Inactive Packages:
disk0:asr9k-services-infra-6.6.2
disk0:asr9k-mini-px-6.6.2
disk0:asr9k-optic-px-6.6.2
disk0:asr9k-services-px-6.6.2
disk0:asr9k-video-px-6.6.2
disk0:asr9k-bng-px-6.6.2
disk0:asr9k-k9sec-px-6.6.2
disk0:asr9k-mcast-px-6.6.2
disk0:asr9k-mpls-px-6.6.2

Node 0/2/CPU0 [LC] [SDR: Owner]
Boot Device: mem:
Inactive Packages:
disk0:asr9k-services-infra-6.6.2
disk0:asr9k-mini-px-6.6.2
disk0:asr9k-optic-px-6.6.2
disk0:asr9k-services-px-6.6.2
disk0:asr9k-video-px-6.6.2
disk0:asr9k-bng-px-6.6.2
disk0:asr9k-k9sec-px-6.6.2
disk0:asr9k-mcast-px-6.6.2
disk0:asr9k-mpls-px-6.6.2

 

Sample error message:

RP/0/RSP1/CPU0:dkccqrt20nt03fm(admin)#install activate disk0:asr9k-services-infra-6.6.2 test
Wed Jul 31 20:38:14.837 CEST
Install operation 104 '(admin) install activate disk0:asr9k-services-infra-6.6.2 test' started by user 'mh4021' via CLI at 20:38:15 CEST Wed Jul 31 2019.
Warning: No changes will occur due to 'test' option being specified. The following is the predicted output for this install command.
Error: Cannot proceed with the activation because of the following package incompatibilities:
Error: asr9k-services-infra-6.6.2 needs asr9k-os-supp-6.6.2, or equivalent, to be active on the same nodes.
Error: asr9k-services-infra-6.6.2 needs iosxr-infra-6.6.2, or equivalent, to be active on the same nodes.
Error: asr9k-services-infra-6.6.2 needs iosxr-os-6.6.2, or equivalent, to be active on the same nodes.
Error: Suggested steps to resolve this:
Error: - check the installation instructions.
Error: - activate or deactivate the specified packages on the specified nodes.
Install operation 104 failed at 20:38:27 CEST Wed Jul 31 2019.

 

Is this an issue beacuse that this part of teh package is not availble under a lower version of the software.  Am I going to have to upgrade to another package such as 6.2.2 and then up to 6.6.2.


Any advice will be great as I am starting to get frustrated with this.

Thanks

 

1 ACCEPTED SOLUTION

Accepted Solutions
Beginner

Re: Issues upgrading IOS-XR - 5.3.3 to 6.6.2

I have managed to resolve the issue:

It seems there was an aditional package from the 5.3.3, that was not in use but activated and is not availble in the 6.6.2 version.

isk0:asr9k-asr901-nV-px-5.3.3 - I verified that this was missing from the 6.6.2 release.
It is used for Satalite swicthes, and was we are not using that feature on our devices.
This was deactivated and the commands run again and everything tested OK.

 

Note to self - Always verify packages even if there is the same amount listed - Some will have different functions.

 

4 REPLIES 4
Cisco Employee

Re: Issues upgrading IOS-XR - 5.3.3 to 6.6.2

can we try

 

admin install activate *6.6.2* test

 

this should test activation of all the packages at once.

 

Thanks

Beginner

Re: Issues upgrading IOS-XR - 5.3.3 to 6.6.2

Thats a useful suggestion, I did try to to test all packages at once but got differemt errors.

I have just tried the command suggested - admin install activate *6.6.2* test

 

This is the output show:
RP/0/RSP1/CPU0:dkccqrt20nt03fm#admin install activate *6.6.2* test
Wed Jul 31 21:11:28.832 CEST
Install operation 109 '(admin) install activate *6.6.2* test' started by user 'mh4021' via CLI at 21:11:29 CEST Wed Jul 31 2019.
Warning: No changes will occur due to 'test' option being specified. The following is the predicted output for this install command.
Info: This operation will activate the following packages:
Info: disk0:asr9k-mpls-px-6.6.2
Info: disk0:asr9k-mgbl-px-6.6.2
Info: disk0:asr9k-mcast-px-6.6.2
Info: disk0:asr9k-k9sec-px-6.6.2
Info: disk0:asr9k-fpd-px-6.6.2
Info: disk0:asr9k-doc-px-6.6.2
Info: disk0:asr9k-bng-px-6.6.2
Info: disk0:asr9k-9000v-nV-px-6.6.2
Info: disk0:asr9k-video-px-6.6.2
Info: disk0:asr9k-services-px-6.6.2
Info: disk0:asr9k-optic-px-6.6.2
Info: disk0:asr9k-mini-px-6.6.2
Info: disk0:asr9k-services-infra-6.6.2
Error: Cannot proceed with the activation because of the following package incompatibilities:
Error: asr9k-asr901-supp-5.3.3 needs asr9k-os-supp-5.3.3, or equivalent, to be active on the same nodes.
Error: asr9k-asr901-supp-5.3.3 needs iosxr-infra-5.3.3, or equivalent, to be active on the same nodes.
Error: asr9k-asr901-supp-5.3.3 needs iosxr-os-5.3.3, or equivalent, to be active on the same nodes.
Error: Suggested steps to resolve this:
Error: - check the installation instructions.
Error: - activate or deactivate the specified packages on the specified nodes.
Install operation 109 failed at 21:11:48 CEST Wed Jul 31 2019.

Re: Issues upgrading IOS-XR - 5.3.3 to 6.6.2

The packages to upgrade must be at least the same, or a *superset* of the active packages it can not be a *subset*. So you seems to be missing the asr901-nV packages for 6.6.2. 

Beginner

Re: Issues upgrading IOS-XR - 5.3.3 to 6.6.2

I have managed to resolve the issue:

It seems there was an aditional package from the 5.3.3, that was not in use but activated and is not availble in the 6.6.2 version.

isk0:asr9k-asr901-nV-px-5.3.3 - I verified that this was missing from the 6.6.2 release.
It is used for Satalite swicthes, and was we are not using that feature on our devices.
This was deactivated and the commands run again and everything tested OK.

 

Note to self - Always verify packages even if there is the same amount listed - Some will have different functions.

 

CreatePlease to create content
Content for Community-Ad
August's Community Spotlight Awards